---
title: Geolocation
slug: Web/API/Geolocation
tags:
  - API
  - Advanced
  - Geolocation API
  - Interface
  - Reference
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>Geolocation</strong></code> interface represents an object able to programmatically obtain the position of the device. It gives Web content access to the location of the device. This allows a Web site or app to offer customized results based on the user's location.</p>

<p>An object with this interface is obtained using the {{domxref("navigator.geolocation")}} property implemented by the {{domxref("Navigator")}} object.</p>

<div class="note">
<p><strong>Note:</strong> For security reasons, when a web page tries to access location information, the user is notified and asked to grant permission. Be aware that each browser has its own policies and methods for requesting this permission.</p>
</div>

<h2 id="Properties">Properties</h2>

<p><em>The <code>Geolocation</code> interface neither implements, nor inherits any property.</em></p>

<h2 id="Methods">Methods</h2>

<p><em><em>The <code>Geolocation</code> interface doesn't inherit any </em>method</em>.</p>

<dl>
 <dt>{{domxref("Geolocation.getCurrentPosition()")}} {{securecontext_inline}}</dt>
 <dd>Determines the device's current location and gives back a {{domxref("GeolocationPosition")}} object with the data.</dd>
 <dt>{{domxref("Geolocation.watchPosition()")}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>long</code> value representing the newly established callback function to be invoked whenever the device location changes.</dd>
 <dt>{{domxref("Geolocation.clearWatch()")}} {{securecontext_inline}}</dt>
 <dd>Removes the particular handler previously installed using <code>watchPosition()</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#geolocation_interface')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Geolocation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using_the_Geolocation_API">Using geolocation</a></li>
</ul>
